Thèmes compatibles WP 2.1 ? (Créer un compte)

  • Statut : non résolu
15 sujets de 1 à 15 (sur un total de 16)
  • Auteur
    Messages
  • #450230
    jlb
    Membre
    Initié WordPress
    2 contributions

    Bonjour,

    Où trouver des thèmes compatibles WP 2.1 ?

    Merci.

    #589853
    MGL
    Membre
    Padawan WordPress
    85 contributions

    A mon avis ils le sont tous. Mais attend d’autre réactions de personnes plus compétentes !

    #589854
    WebOliver
    Membre
    Initié WordPress
    15 contributions
    MGL wrote:
    A mon avis ils le sont tous. Mais attend d’autre réactions de personnes plus compétentes !

    On peut pas dire qu’ils sont tous compatibles non…

    #589855
    Oo
    Membre
    Maître WordPress
    2484 contributions

    Bonsoir,

    Il s’avère que certaines personnes rencontres des problèmes avec certains thèmes ! Nottament Blix !!! Une personne est venu me demander de l’aide sous MSN !

    Nottament un problème avec les pages !

    Oo

    #589856
    AmO
    Participant
    Maître WordPress
    4449 contributions

    En fait, la grande majorité des thèmes seront compatibles.

    Il y aura peut être quelque petits problèmes au niveau des tags pour les catégories/blogroll

    Rien de bien méchant.
    http://codex.wordpress.org/Template_Tags

    #589857
    Ailatane
    Participant
    Initié WordPress
    11 contributions

    le theme K2 vient d’etre adapté pour WP2.1. la mise à jour est dispo sur le site getk2.com.
    Je n’ai pas encore testé, mais c’est à voir.

    #589858
    benkenobi
    Gestionnaire du forum
    Maître WordPress
    4073 contributions
    Oo wrote:
    Bonsoir,

    Il s’avère que certaines personnes rencontres des problèmes avec certains thèmes ! Nottament Blix !!! Une personne est venu me demander de l’aide sous MSN !

    Nottament un problème avec les pages !

    Oo

    Argh… j’ai un blog sous Blix… et bien modifié en plus… je vais donc me méfier avant de mettre à jour ce dernier…

    #589859
    f06d2
    Participant
    Initié WordPress
    3 contributions
    AmO wrote:
    En fait, la grande majorité des thèmes seront compatibles.

    Il y aura peut être quelque petits problèmes au niveau des tags pour les catégories/blogroll

    Rien de bien méchant.
    http://codex.wordpress.org/Template_Tags

    Salut à vous tous, je suis trés content de cette situation….le problème est peut être plus important qu’il n’y paraît.

    Je m’explique: dans les précedentes versions il existait une table nommée: linkcategories
    et mon fichier sidebar.php de mon thème intégrait les liens du blogroll facilement.

    A ce jour il faut aller dans la table : categories en cat_id=2, pour avoir les mêmes informations.

    Pourquoi maintenant avec cette nouvelle version 2.1 cette table n’existe plus sous le nom de: linkcategories
    le nom des autres tables n’a pas changé !!.

    A la place apparaît une table nommée: link2cat ??

    Et ma grande crainte est que: TOUS LES GENS NOVICES qui ont pris wordpress avec un thème acheté sur le net dans les précédentes versions,
    vont avoir un problème de mise a jour qui risque de faire arrêter leur utilisation de ce blog, ils seront déçus de ne pas pouvoir utiliser la dernière MAJ.

    N’oubliez pas que VOUS ETES BONS EN PROGRAMMATION PHP….mais ce language ne pardonne rien…
    une virgule,un deux point en trop ou en moins, la moindre erreur et houpss plus rien ne marche.

    Je vous fais part de mon fichier sidebar.php de mon ancien thème qu’il faut corriger pour qu’il fonctionne en version WP 2.1

    Remplacer : linkcategories par: categories where cat_id=2

    <?php
    $link_cats = $wpdb->get_results(« SELECT cat_id, cat_name FROM $wpdb->linkcategories« );
    foreach ($link_cats as $link_cat) {
    ?>

    Cette correction peut être mieux faite par un expert …. c’est la seul facile que j’ai trouvé.

    Existe t’il d’autre Bug simple du fait ce changement de nom de table ???…qqn en à fait un post correctif ??.

    J’espère que les personnes qui établissent les nouvelles version de WP prendront en compte les anciennes.

    je vais faire un nouveau post pour des suggestions, qui mérite réfléxion, et ce pour la bonne continuité de WP.

    Merci à tous

    #589860
    AlexandreP
    Participant
    Padawan WordPress
    90 contributions
    f06d2 wrote:
    Et ma grande crainte est que: TOUS LES GENS NOVICES qui ont pris wordpress avec un thème acheté sur le net dans les précédentes versions,
    vont avoir un problème de mise a jour qui risque de faire arrêter leur utilisation de ce blog, ils seront déçus de ne pas pouvoir utiliser la dernière MAJ.

    Eh bien, ils seront déçus… Si le thème acheté est censé fonctionner sur WP 2.0.x, il devrait bien fonctionner sur WP 2.0.x. Mais il n’est nullement garanti qu’il fonctionne à la perfection sur les versions précédentes de WP (1.x) ni les versions futures (2.x). De toute façon, l’équipe de WordPress ne peut pas garantir le bon fonctionnement d’un code tiers, puisque ce n’est pas elle qui l’a développé.

    #589861
    Oo
    Membre
    Maître WordPress
    2484 contributions
    BenKenobi wrote:
    Oo wrote:
    Bonsoir,

    Il s’avère que certaines personnes rencontres des problèmes avec certains thèmes ! Nottament Blix !!! Une personne est venu me demander de l’aide sous MSN !

    Nottament un problème avec les pages !

    Oo

    Argh… j’ai un blog sous Blix… et bien modifié en plus… je vais donc me méfier avant de mettre à jour ce dernier…

    C’est un ami qui a eu le problème avec Blix !!! Genre, plus de pages après le passage à WP 2.1 ^^ Mais tout rentre dans l’ordre lors du changement de thème pour un autre !

    #589862
    benkenobi
    Gestionnaire du forum
    Maître WordPress
    4073 contributions
    Oo wrote:
    BenKenobi wrote:
    Oo wrote:
    Bonsoir,

    Il s’avère que certaines personnes rencontres des problèmes avec certains thèmes ! Nottament Blix !!! Une personne est venu me demander de l’aide sous MSN !

    Nottament un problème avec les pages !

    Oo

    Argh… j’ai un blog sous Blix… et bien modifié en plus… je vais donc me méfier avant de mettre à jour ce dernier…

    C’est un ami qui a eu le problème avec Blix !!! Genre, plus de pages après le passage à WP 2.1 ^^ Mais tout rentre dans l’ordre lors du changement de thème pour un autre !

    urgh… Mon thème étant largement customisé, je suis mal ! ^^

    f06d2 > Tu achètes tes thèmes toi ? … tu te fais arnaquer alors !

    #589863
    AmO
    Participant
    Maître WordPress
    4449 contributions

    J’allais dire pareil Ben… acheté ?

    En passant, faire un appel de db dans le thème… berk.

    #589864
    benkenobi
    Gestionnaire du forum
    Maître WordPress
    4073 contributions

    Pour revenir à la question initiale, voici une liste des thèmes compatibles avec la version 2.1, disponible sur le codex.

    #589865
    bloingo
    Participant
    Chevalier WordPress
    115 contributions

    … donc, une vingtaine de thèmes compatibles WP 2.1 à ce jour ??:(
    quand je pense que j’ai sué un bon paquet d’heures avec mon thème de base : SeaBeast
    et que certains ici m’ont donné de gros coups de main pour y arriver, je sais pas, mais j’ai comme un coup de fatigue moi …
    pensez vous que cette situation va  » s’améliorer  » ? ou faut-il se résoudre dés à présent à choisir par défaut un des thèmes compatibles ?

    #589866
    benkenobi
    Gestionnaire du forum
    Maître WordPress
    4073 contributions

    Je pense que la liste proposée est loin d’être exhaustive, vue la quantité de thèmes disponibles… On peut peut penser qu’elle sera mise à jour au fur et à mesure des essais fait par les utilisateurs, etc.

15 sujets de 1 à 15 (sur un total de 16)
  • Vous devez être connecté pour répondre à ce sujet.